package omq.supervisor;

import java.util.Map;
import java.util.Set;

import omq.common.broker.RemoteBroker;

public class Supervisor {

	private Set<String> bindReferences;
	private Map<String, RemoteBroker> brokers;

	private void checkObject() {
		String reference = null;

		int numObjects = 0;

		if(minObjects > numObjects || maxMessages < numEncuats){
			spawn:
				pregunta a tots i qui no té l'objecte li poses
		}else if(numEncuats < minMessages && minObjects > numObjects){
			delete:
				pregunta a tots i qui té l'objecte li treus
		}
	}
}
